--- @class Color
--- @field r number
--- @field g number
--- @field b number
--- @field a number
local color = {
    r = 1,
    g = 1,
    b = 1,
    a = 1
}
color.__index = color

--- @param rgba {r?: number, g?: number, b?: number, a?: number}
--- @return Color
function color.new(rgba)
    return setmetatable(rgba, color)
end

return color.new
